<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String name = SzConvert.toSpaceStr(request.getParameter("name"));
    String readonly = "";
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
	  String moduleName = SzConvert.toSpaceStr(request.getParameter("moduleName"));
	  String formName = SzConvert.toSpaceStr(request.getParameter("formName"));
	  BdAutoPass bdAutoPass = new BdAutoPass();
    String str[] = bdAutoPass.getInfo(name);
    
		if (sOPERATOR.equals("add")) {
			str[1] = moduleName;
			str[2] = formName;
			str[8] = "1";
			str[9] = "1";

		} else if (sOPERATOR.equals("update")) {
			moduleName = str[1];
			formName = str[2];
		}
   	
    BdFormControl bdFormControl = new BdFormControl();    
    Map fieldMap = bdFormControl.getFieldMap();
    BdFormFieldInfo bdFormFieldInfo = null;
    Collection collFormField = null;
    collFormField = (Collection)fieldMap.get(new String(moduleName + "-" + formName));
    Iterator iterFormField = null;  		
   	String temp = "";
   	int i =0;
%>
<body>

<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
<%@ include file="/xml/formEngine2/title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <%=SzPageHelp.saveButton()%>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="750" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td class="tdClassTitle">名称</td>
    <td colspan="3"><input type="text" name="name" value="<%=str[0]%>" size="10" <%if (sOPERATOR.equals("update")){%> readonly class="txtClass1R"<%}else {%>class="txtClass1"<%} %>> (可用字母、数字、下划线的组合，10个字以内) <font color="red">*</font></td>
  </tr>
  <tr>
    <td class="tdClassTitle">模块名称</td>
    <td><input type="text" name="moduleName" class="txtClass1R" value="<%=str[1]%>"  readonly></td>
    <td class="tdClassTitle">表单名称</td>
    <td><input type="text" name="formName" class="txtClass1R" value="<%=str[2]%>" readonly></td>
  </tr> 
  <tr>
    <td class="tdClassTitle">说明</td>
    <td colspan="3"><input type="text" name="desc" class="txtClass2" value="<%=str[3]%>"></td>
  </tr>   
  <tr>
    <td class="tdClassTitle">传阅内容字段</td>
    <td colspan="3"><input type="hidden" name="titleField" value="<%=str[4]%>">
    <%
    String strMainTable = bdFormControl.getMainTableName(moduleName, formName);
    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		i =0;
		temp = "," + str[4] + ",";
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 1 
			 	|| bdFormFieldInfo.getZDBJ() == 3 
			 	|| bdFormFieldInfo.getZDBJ() == 34
		  ) {
				continue;
			}
			if (!strMainTable.equals(bdFormFieldInfo.getTableName())) {
				continue;
			}			
			out.println("<span style='width:200px;'><input type='checkbox' name='titleField2' value='" + bdFormFieldInfo.getZDMC() + "'");
			if (temp.indexOf("," + bdFormFieldInfo.getZDMC() + ",") >=0) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 3 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>  
  <tr>
    <td class="tdClassTitle">人员ID字段</td>
    <td colspan="3"><input type="hidden" name="userId" value="<%=str[5]%>">
    <%
    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		i =0;
		temp = "," + str[5] + ",";
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 4 
				 	|| bdFormFieldInfo.getZDBJ() == 42 
				 	|| bdFormFieldInfo.getZDBJ() == 43
				 	|| bdFormFieldInfo.getZDBJ() == 44
			) {
					continue;
			}
			if (!strMainTable.equals(bdFormFieldInfo.getTableName())) {
				continue;
			}			
			out.println("<span style='width:200px;'><input type='checkbox' name='userId2' value='" + bdFormFieldInfo.getZDMC() + "'");
			if (temp.indexOf("," + bdFormFieldInfo.getZDMC() + ",") >=0) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 3 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>  
  <tr>
    <td class="tdClassTitle">部门ID字段</td>
    <td colspan="3"><input type="hidden" name="departId" value="<%=str[6]%>">
    <%
    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		i =0;
		temp = "," + str[6] + ",";
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 4 
				 	|| bdFormFieldInfo.getZDBJ() == 42 
				 	|| bdFormFieldInfo.getZDBJ() == 43
				 	|| bdFormFieldInfo.getZDBJ() == 44
			) {
					continue;
			}
			if (!strMainTable.equals(bdFormFieldInfo.getTableName())) {
				continue;
			}			
			out.println("<span style='width:200px;'><input type='checkbox' name='departId2' value='" + bdFormFieldInfo.getZDMC() + "'");
			if (temp.indexOf("," + bdFormFieldInfo.getZDMC() + ",") >=0) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 3 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>     
  <tr>
    <td class="tdClassTitle">职务ID字段</td>
    <td colspan="3"><input type="hidden" name="postId" value="<%=str[7]%>">
    <%
    if (collFormField != null) {
    	iterFormField = collFormField.iterator();
    }    
		i =0;
		temp = "," + str[7] + ",";
		while (iterFormField != null && iterFormField.hasNext()) {
			bdFormFieldInfo = (BdFormFieldInfo) iterFormField.next();			
			if (    bdFormFieldInfo.getZDBJ() == 4 
			 	|| bdFormFieldInfo.getZDBJ() == 42 
			 	|| bdFormFieldInfo.getZDBJ() == 43
			 	|| bdFormFieldInfo.getZDBJ() == 44
		  ) {
				continue;
			}
			if (!strMainTable.equals(bdFormFieldInfo.getTableName())) {
				continue;
			}			
			out.println("<span style='width:200px;'><input type='checkbox' name='postId2' value='" + bdFormFieldInfo.getZDMC() + "'");
			if (temp.indexOf("," + bdFormFieldInfo.getZDMC() + ",") >=0) {
				out.println(" checked ");
			}
			out.println(">");
			out.println(bdFormFieldInfo.getZDMC() + " " + bdFormFieldInfo.getZDSM());
			i ++;
			out.println("</span>");
			if (i % 3 == 0) {
				out.println("<br>");
			}
		}
		%>    
    </td>
  </tr>    
  <tr>
    <td class="tdClassTitle">即时消息提醒</td>
    <td>
      <%
      	String s_id2[] = {"0","1"};
        String s_name2[] = {"不需要","需要"};
        out.println(SzPageHelp.radio("alert", s_id2, s_name2, str[8]));
      %> 
    </td>
    <td class="tdClassTitle">手机短信提醒</td>
    <td>
      <%
      	String s_id[] = {"0","1"};
        String s_name[] = {"不需要","需要"};
        out.println(SzPageHelp.radio("smsAlert", s_id, s_name, str[9]));
      %> 
    </td>    
  </tr>   
  <tr>
    <td class="tdClassTitle">外部邮件提醒</td>
    <td>
      <%
        out.println(SzPageHelp.radio("mailAlert", s_id2, s_name2, str[11]));
      %>   
    </td>
    
    <td class="tdClassTitle">微信消息提醒</td>
    <td>
      <%
        out.println(SzPageHelp.radio("weixinAlert", s_id2, s_name2, str[10]));
      %> 
    </td>        
  </tr>   
</table>

</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript" src="../../../share/js/commonTool.js"></script>
<script language="javascript">

  function FormSave(formName, url) {
    if (!notSpace(formName.name, "名称")) {
      return false;
    }  

    var userId = ValueOfCheck(formName.userId2);
    var departId = ValueOfCheck(formName.departId2);
    var postId = ValueOfCheck(formName.postId2);  
    formName.titleField.value = ValueOfCheck(formName.titleField2);
    formName.userId.value = userId;
    formName.departId.value = departId;
    formName.postId.value = postId;
      
		if (userId == "" 
		&& departId == ""
		&& postId == ""
		) {
			alert("请至少选择一个人员、部门、职务ID字段");
			return false;
		} 


    formName.action = "control.jsp";
    formName.submit();
  }
  
 
</script>
</body>
